Skip to main content
patch/resumes/{resumeId}/versions/{versionId}
Request example
Response
patch/resumes/{resumeId}/versions/{versionId}

Authorization

x-api-keystringheaderrequired#
The API key to authenticate requests.

2 alternative authorization methods available — see the spec for details.

Path parameters

resumeIdstringrequired#
The ID of the resume the version belongs to.
versionIdstringrequired#
The ID of the named version.

Body

application/json
namestringrequired#
The version's new name.

Length: 1–80

Responses

application/json
The renamed version.
idstringrequired#
The ID of the version.
kindenum<string>required#
What made the version: created, import, auto (an editing session's autosave), named, before-restore, restored, ai (an AI or API edit) or sent.
Options:createdimportautonamedbefore-restorerestoredaisent
namestring · nullrequired#
The user's name for a named version.
createdAtstringrequired#
When this state was saved.